<webbox id="edit_menu">

<div id="menu_place"></div>

<table>
  <form name="edit_menu_item" onsubmit="return false;">
  <input type="submit" class="hidden_submit" value="" onclick="update()" />
  <tr>
    <td class="item">
      ID:<input type="text" name="item_id" value="{{item_id}}" />
      <span class="h_space"/><span class="h_space"/>
      Caption:<input type="text" name="item_caption" value="{{item_caption}}" />
    </td>
    <td>
      <a class="button" href="javascript:update()">Update</a>
      <a class="button" href="javascript:del()">Delete</a>
    </td>
  </tr>
  </form>
  <repeat rs="subitems">
    <tr>
      <td class="subitem">
        <li><a href="javascript:edit('{{id}}')">{{caption}}</a></li>
      </td>
      <td>
        <a class="button" href="javascript:move_up('{{id}}')">Move Up</a>
        <a class="button" href="javascript:move_down('{{id}}')">Move Down</a>
      </td>
    </tr>
  </repeat>
  <form name="add_new_subitem" onsubmit="return false;">
  <input type="submit" class="hidden_submit" value="" onclick="add_subitem()" />
  <tr>
    <td class="subitem">
      id:<input type="text" name="new_id" value="" />
      caption:<input type="text" name="new_caption" value="" />
    </td>
    <td>
      <a class="button" href="javascript:add_subitem()">Add Subitem</a>
    </td>
  </tr>
  </form>
</table>

<div>
  <a class="button" href="javascript:apply()">Apply Changes</a>
  <a class="button" href="javascript:cancel()">Cancel Changes</a>
</div>
</webbox>
